Subject: Re: [PATCH iproute2] tipc: introduce TIPC configuration tool

From: Pavel Simerda <[email-masked]>
Date: Thu, 4 Jun 2015 13:30:43 -0400 (EDT)

----- Original Message -----
> From: "Richard Alpe" <[email-masked]>
> To: "Pavel Simerda" <[email-masked]>, "Stephen Hemminger" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Sent: Thursday, June 4, 2015 1:40:47 PM
> Subject: Re: [PATCH iproute2] tipc: introduce TIPC configuration tool
> 
> On 2015-06-04 12:23, Pavel Simerda wrote:
> > ----- Original Message -----
> >> From: "Stephen Hemminger" <[email-masked]>
> >> To: "richard alpe" <[email-masked]>
> >> Cc: [email-masked], [email-masked]
> >> Sent: Thursday, May 21, 2015 11:43:40 PM
> >> Subject: Re: [PATCH iproute2] tipc: introduce TIPC configuration tool
> >>
> >> On Thu, 7 May 2015 15:07:35 +0200
> >> <[email-masked]> wrote:
> >>
> >>> From: Richard Alpe <[email-masked]>
> >>>
> >>> This is the new tipc tool that utilizes the relativly new TIPC netlink
> >>> API
> >>> in
> >>> the kernel. Introducing this tool into iproute2 has been discussed
> >>> previously.
> >>>
> >>> For more information about the design decisions of this tool, see the
> >>> README
> >>> file.
> >>>
> >>> There isn't yet a manpage for the this tool. I will start to write one
> >>> once
> >>> I
> >>> submitted this for review.
> >>>
> >>> Richard Alpe (1):
> >>>   tipc: add new TIPC configuration tool
> >>
> >> I went ahead and merged this.
> >> It does add dependency on libmnl which the distribution maintainers will
> >> have
> >> to add to their stuff.
> > 
> > Does the new dependency suggest the whole iproute2 is moving to libmnl?
> That is what I was told and the reason I wrote "tipc" based on libmnl.
> 
> Regards
> Richard

That is great news, I was at first afraid that it was a random decision limited
to tipc. Is there any plan for the move? I might just as well participate. Also
I found out that some things are done using ioctl instead of netlink,
especially in ip-tunnel. I'd happily be part of a larger scale iproute2 cleanup.

Cheers,

Pavel

> > Or is
> > there a good reason to use an external netlink library as well as an
> > internal one?
> > 
> > Cheers,
> > 
> > Pavel
> > 
> >>
> >>
> >> --
> >> To unsubscribe from this list: send the line "unsubscribe netdev" in
> >> the body of a message to [email-masked]
> >> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> >>
> 
>